Gecode::FlatZinc::BranchInformation Class Reference

`#include <flatzinc.hh>`

## Public Member Functions

| BranchInformation (void)
| Constructor.
| BranchInformation (const BranchInformation &bi)
| Copy constructor.
void | init (void)
| Initialise for use.
void | add (BrancherGroup bg, const std::string &rel0, const std::string &rel1, const std::vector< std::string > &n)
| Add new brancher information.
void | print (const Brancher &b, unsigned int a, int i, int n, std::ostream &o) const
| Output branch information.
void | print (const Brancher &b, unsigned int a, int i, const FloatNumBranch &nl, std::ostream &o) const
| Output branch information.
Public Member Functions inherited from Gecode::SharedHandle
| SharedHandle (void)
| Create shared handle with no object pointing to.
| SharedHandle (SharedHandle::Object *so)
| Create shared handle that points to shared object so.
| SharedHandle (const SharedHandle &sh)
| Copy constructor maintaining reference count.
SharedHandle & | operator= (const SharedHandle &sh)
| Assignment operator maintaining reference count.
| ~SharedHandle (void)
| Destructor that maintains reference count.
| operator bool (void) const
| Whether handle points to an object.

## Additional Inherited Members

Protected Member Functions inherited from Gecode::SharedHandle
SharedHandle::Object * | object (void) const
| Access to the shared object.
void | object (SharedHandle::Object *n)
| Modify shared object.

## Detailed Description

Definition at line 394 of file flatzinc.hh.

## Constructor & Destructor Documentation

## BranchInformation() [1/2]

Gecode::FlatZinc::BranchInformation::BranchInformation | ( | void |  | ) |

Constructor.

Definition at line 308 of file flatzinc.cpp.

## BranchInformation() [2/2]

Gecode::FlatZinc::BranchInformation::BranchInformation | ( | const BranchInformation & | bi | ) |

Copy constructor.

Definition at line 311 of file flatzinc.cpp.

## Member Function Documentation

## init()

void Gecode::FlatZinc::BranchInformation::init | ( | void |  | ) |

Initialise for use.

Definition at line 315 of file flatzinc.cpp.

## add()

void Gecode::FlatZinc::BranchInformation::add | ( | BrancherGroup | bg,
|  | const std::string & | rel0,
|  | const std::string & | rel1,
|  | const std::vector< std::string > & | n )

Add new brancher information.

Definition at line 321 of file flatzinc.cpp.

## print() [1/2]

void Gecode::FlatZinc::BranchInformation::print | ( | const Brancher & | b,
|  | unsigned int | a,
|  | int | i,
|  | int | n,
|  | std::ostream & | o ) const

Output branch information.

Definition at line 328 of file flatzinc.cpp.

## print() [2/2]

void Gecode::FlatZinc::BranchInformation::print | ( | const Brancher & | b,
|  | unsigned int | a,
|  | int | i,
|  | const FloatNumBranch & | nl,
|  | std::ostream & | o ) const

Output branch information.

Definition at line 334 of file flatzinc.cpp.

The documentation for this class was generated from the following files:

- gecode/flatzinc.hh
- gecode/flatzinc/flatzinc.cpp